<div align="center"><a name="readme-top"></a>

<img height="160" src="https://raw.githubusercontent.com/microsoft/fluentui-emoji/main/assets/Lime/3D/lime_3d.png" />

<h1>Lime</h1>

Lime is an AI-powered CLI tool for generating high-quality commit messages, repository descriptions, and GitHub topics. It leverages advanced language models to automate repository management tasks with precision and efficiency.

[![][pypi-version-shield]][pypi-project-link]
[![][pypi-download-shield]][pypi-project-link]
[![][pypi-python-version-shield]][pypi-project-link] <br />
[![][github-contributors-shield]][github-contributors-link]
[![][github-forks-shield]][github-forks-link]
[![][github-stars-shield]][github-stars-link]
[![][github-issues-shield]][github-issues-link]
[![][github-license-shield]][github-license-link]

[Changelog](./CHANGELOG.md) · [Report Bug][github-issues-link] · [Request Feature][github-issues-link]

![](https://raw.githubusercontent.com/andreasbm/readme/master/assets/lines/rainbow.png)

</div>

[github-contributors-link]: https://github.com/liblaf/lime/graphs/contributors
[github-contributors-shield]: https://img.shields.io/github/contributors/liblaf/lime
[github-forks-link]: https://github.com/liblaf/lime/forks
[github-forks-shield]: https://img.shields.io/github/forks/liblaf/lime
[github-issues-link]: https://github.com/liblaf/lime/issues
[github-issues-shield]: https://img.shields.io/github/issues/liblaf/lime
[github-license-link]: https://github.com/liblaf/lime/blob/main/LICENSE
[github-license-shield]: https://img.shields.io/github/license/liblaf/lime
[github-stars-link]: https://github.com/liblaf/lime/stargazers
[github-stars-shield]: https://img.shields.io/github/stars/liblaf/lime
[pypi-download-shield]: https://img.shields.io/pypi/dm/liblaf-lime?logo=PyPI&logoColor=3775A9
[pypi-project-link]: https://pypi.org/project/liblaf-lime/
[pypi-python-version-shield]: https://img.shields.io/pypi/pyversions/liblaf-lime?logo=Python&logoColor=3776AB&label=Python
[pypi-version-shield]: https://img.shields.io/pypi/v/liblaf-lime?logo=PyPI&logoColor=3775A9&label=PyPI

## ✨ Features

- 🤖 **AI-Powered Commit Messages:** Automatically generates meaningful and conventional commit messages based on code changes, saving time and ensuring consistency;
- 🛠️ **Repository Management:** Provides tools to manage repository descriptions, README files, and topics with AI assistance, making repository maintenance effortless;
- 🚀 **Quick Setup:** Easy to install and configure, with a simple CLI interface that integrates seamlessly into your development workflow;
- 📚 **Documentation Generation:** Automatically generates help documentation and README sections, ensuring your project is well-documented and easy to understand;
- 🔄 **Git Integration:** Deep integration with Git, allowing you to manage commits, repositories, and GitHub interactions directly from the CLI;
- 🧠 **Customizable Prompts:** Supports custom prompt templates for generating commit messages, descriptions, and other content, tailored to your project's needs;
- 🌐 **GitHub API Integration:** Seamlessly interacts with GitHub to update repository descriptions and topics, ensuring your project is always up-to-date;
- 📦 **Modular Design:** Built with a modular architecture, allowing you to extend and customize functionality to fit your specific requirements;

<div align="right">

[![][back-to-top]](#readme-top)

</div>

[back-to-top]: https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square

## 📦 Installation

To install `liblaf-lime`, run the following command:

```bash
uv tool install liblaf-lime
```

<div align="right">

[![][back-to-top]](#readme-top)

</div>

## ⌨️ Local Development

You can use Github Codespaces for online development:

[![][github-codespace-shield]][github-codespace-link]

Or clone it for local development:

```bash
git clone https://github.com/liblaf/lime.git
cd lime
uv sync
```

<div align="right">

[![][back-to-top]](#readme-top)

</div>

[github-codespace-shield]: https://github.com/codespaces/badge.svg
[github-codespace-link]: https://codespaces.new/liblaf/lime

## 🤝 Contributing

Contributions of all types are more than welcome, if you are interested in contributing code, feel free to check out our GitHub [Issues][github-issues-link] to get stuck in to show us what you're made of.

[![][pr-welcome-shield]][pr-welcome-link]

[![][github-contrib-shield]][github-contrib-link]

<div align="right">

[![][back-to-top]](#readme-top)

</div>

[pr-welcome-shield]: https://img.shields.io/badge/%F0%9F%A4%AF%20PR%20WELCOME-%E2%86%92-ffcb47?labelColor=black&style=for-the-badge
[pr-welcome-link]: https://github.com/liblaf/lime/pulls
[github-contrib-shield]: https://contrib.rocks/image?repo=liblaf%2Flime
[github-contrib-link]: https://github.com/liblaf/lime/graphs/contributors

---

#### 📝 License

Copyright © 2025 [liblaf][profile-link]. <br />
This project is [MIT](./LICENSE) licensed.

[profile-link]: https://github.com/liblaf
